
<div class="hangman-container">
  <app-hangman-drawing class="hangman" [score]="score"></app-hangman-drawing>
  <p>Mistakes: {{score}} / {{maxScore}}</p>
</div>
<div class="game-container">
  <h1 class="title">The Hangman</h1>

  <div class="game-over-message">
    <p class="success" *ngIf="gameOver === 'WIN'">You've won</p>
    <p class="fail" *ngIf="gameOver === 'LOSE'">You've lost</p>
  </div>

  <p class="instruction large">It's {{wordLetters.length | aAn}} letter word</p>

  <div class="the-word">
    <div *ngFor="let letter of wordLetters" class="the-word__letter">
      <span *ngIf="letter.found">{{letter.letter}}</span>
    </div>
  </div>

  <p class="instruction small">Play with a word</p>

  <app-letter-selector class="letter-selector"
                       [abc]="abc"
                       [finished]="gameOver"
                       [letterList]="selectableLetters" (selectedLetter)="onLetter($event)"></app-letter-selector>


  <div class="action-buttons">
    <a class="theme-button secondary" [routerLink]="'/landing'">End game</a>
    <a class="theme-button primary" [routerLink]="'/game/game-settings'">Start new game</a>
  </div>
</div>
